package tome_game

import (
	. "git.saintnet.tech/tomecraft/tome_lib"
)

func NewView(id int, g *Game) *GameView {
	return &GameView{
		Board:         g.GameBoard,
		Player:        g.GetPlayer(id),
		DeckSize:      g.GetDeck(id).Size(),
		EnemyLife:     g.GetOpponent(id).Life,
		EnemyDeckSize: g.GetOpponentDeck(id).Size(),
		EnemyHandSize: len(g.GetOpponent(id).Hand),
		CurrentTurn:   g.CurrentTurn,
		CanDraw:       g.CanDraw,
		HasDrawn:      g.HasDrawn,
		Status:        g.Status,
	}
}
